package de.rmdir.ms2debounce;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class DebounceBootReceiver extends BroadcastReceiver{
	@Override
	public void onReceive(Context context, Intent intent) {
		if("android.intent.action.BOOT_COMPLETED".equals(intent.getAction())) {
			DebounceModuleHelper module = new DebounceModuleHelper(context);

			if (module.get_on_boot() && module.is_safe_to_load()) {
				try {
					module.loadModule();
				} catch (Exception e) {}
			}
		}
	}
}
